Name:           nforenum
Version:        4.0.0
Release:        1%{?dist}
Summary:        A format correcter and linter for the NFO language
Group:          Development/Tools
License:        GPLv2+
URL:            http://dev.openttdcoop.org/projects/nforenum
Source0:        http://binaries.openttd.org/extra/nforenum/%{version}/nforenum-%{version}-source.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel


%description
nforenum takes as input any number of files that contain something that vaguely
resembles valid NFO, and produces, to the best of its ability, encodable NFO
files, one for each input file.
It also detects and warns about some common mistakes made in NFO coding. All
errors that will cause TTDPatch to reject the GRF during the initialization or
activation phases should be detected; if any are not, it is a bug and should be
reported as such.
Sprites that are too short, not of the correct type (real/pseudo/&c.), too
long, or otherwise not in agreement with their data or the preceding sprites
are all detected. 


%prep
%setup -q -n %{name}-%{version}-source


%build
cat << EOF >> Makefile.local
STRIP=true
V=1
CXXFLAGS=%{optflags}
EOF

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# docs are installed by %%doc
rm -rf %{buildroot}%{_docdir}/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc changelog.txt COPYING 
%doc docs/*.txt
%{_bindir}/nforenum
%{_mandir}/man1/%{name}.1.gz


%changelog
* Fri Aug 27 2010 Felix Kaechele <heffer@fedoraproject.org> - 4.0.0-1
- update to new upstream release
- contains mostly fixes for downstream packagers (like us)

* Mon Jan 18 2010 Felix Kaechele <heffer@fedoraproject.org> - 3.4.7-0.4.r2294
- new snapshot fixes gcc 4.4 errors

* Fri Dec 18 2009 Felix Kaechele <heffer@fedoraproject.org> - 3.4.7-0.3.r2275
- new snapshot

* Sun Sep 06 2009 Felix Kaechele <heffer@fedoraproject.org> - 3.4.7-0.2.r2184
- incorporated changes as suggested in #519118

* Mon Aug 24 2009 Felix Kaechele <heffer@fedoraproject.org> - 3.4.7-0.1.r2184
- initial package

